Gecode::Int::Branch::PosValuesChoice Class Reference

Choice storing position and values for integer views More...

`#include <view-values.hpp>`

## Public Member Functions

| PosValuesChoice (const Brancher &b, const Pos &p, IntView x)
| Initialize choice for brancher b, position p, and view x.
| PosValuesChoice (const Brancher &b, unsigned int alt, Pos p, Archive &e)
| Initialize choice for brancher b from archive e.
int | val (unsigned int a) const
| Return value to branch with for alternative a.
virtual | ~PosValuesChoice (void)
| Deallocate.
virtual void | archive (Archive &e) const
| Archive into e.
Public Member Functions inherited from Gecode::PosChoice
| PosChoice (const Brancher &b, unsigned int a, const Pos &p)
| Initialize choice for brancher b, number of alternatives a, and position p.
const Pos & | pos (void) const
| Return position in array.
Public Member Functions inherited from Gecode::Choice
unsigned int | alternatives (void) const
| Return number of alternatives.
virtual | ~Choice (void)
| Destructor.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Protected Member Functions inherited from Gecode::PosChoice
| PosChoice (const PosChoice &c)
| Initialize.
Protected Member Functions inherited from Gecode::Choice
| Choice (const Brancher &b, const unsigned int a)
| Initialize for particular brancher b and alternatives a.

## Detailed Description

Choice storing position and values for integer views

Definition at line 37 of file view-values.hpp.

## Constructor & Destructor Documentation

## PosValuesChoice() [1/2]

Gecode::Int::Branch::PosValuesChoice::PosValuesChoice | ( | const Brancher & | b,
|  | const Pos & | p,
|  | IntView | x )

Initialize choice for brancher b, position p, and view x.

Definition at line 38 of file view-values.cpp.

## PosValuesChoice() [2/2]

Gecode::Int::Branch::PosValuesChoice::PosValuesChoice | ( | const Brancher & | b,
|  | unsigned int | alt,
|  | Pos | p,
|  | Archive & | e )

Initialize choice for brancher b from archive e.

Definition at line 53 of file view-values.cpp.

## ~PosValuesChoice()

Gecode::Int::Branch::PosValuesChoice::~PosValuesChoice | ( | void |  | ) |

virtual

Deallocate.

Definition at line 64 of file view-values.cpp.

## Member Function Documentation

## val()

int Gecode::Int::Branch::PosValuesChoice::val | ( | unsigned int | a | ) | const

inline

Return value to branch with for alternative a.

Definition at line 69 of file view-values.hpp.

## archive()

void Gecode::Int::Branch::PosValuesChoice::archive | ( | Archive & | e | ) | const

inline virtual

Archive into e.

Reimplemented from Gecode::PosChoice.

Definition at line 69 of file view-values.cpp.

The documentation for this class was generated from the following files:

- gecode/int/branch/view-values.hpp
- gecode/int/branch/view-values.cpp